<?php
	$hoy = date("Y-m-d H:i:s");
	
	//CONSULTA PARA NUEVO CLIENTE
	//CONSULTA PARA NUEVO CLIENTE
	if($_POST["nombre"] != ""){
		
		if($_POST["id_candidato"] != ""){
			mysqli_query($connect,"UPDATE Candidatos SET nombre = '".$_POST["nombre"]."', apellidos = '".$_POST["apellidos"]."', 
			correo = '".$_POST["correo"]."', correo_2 = '".$_POST["correo_2"]."', tipo_documento = '".$_POST["tipo_documento"]."', 
			documento = '".$_POST["documento"]."', password = '".$_POST["documento"]."' WHERE id = '".$_POST["id_candidato"]."'  ");
			
			$respuesta = '
				<div class="alert alert-success" role="alert" style="margin-top:8px">
				  Información Guardada.
				</div>
			';
		}
		else{
			
			$queryCont = mysqli_query($connect,"SELECT * FROM Candidatos WHERE id_empresa = '".$_SESSION['id_empresa']."' 
			AND ( correo = '".$_POST["correo"]."' OR documento = '".$_POST["documento"]."' ) ");
			
			if($queryCont->num_rows == 0){ 
				mysqli_query($connect,"INSERT INTO Candidatos (id_empresa, nombre, apellidos, correo, correo_2, tipo_documento, documento, password, created_at) 
				VALUES 
				('".$_SESSION['id_empresa']."', '".$_POST["nombre"]."', '".$_POST["apellidos"]."', '".$_POST["correo"]."', '".$_POST["correo_2"]."', 
				'".$_POST["tipo_documento"]."', '".$_POST["documento"]."',  '".$_POST["documento"]."', '".$hoy."' ) ");
				
				echo '<script> window.location = "?pg=candidatos"; </script>';
				
			}
			else{
				$respuesta = '
					<div class="alert alert-danger" role="alert" style="margin-top:8px">
					  Este correo o número de documento ya está registrado en la plataforma.
					</div>
				';
			}
		}
		
		
	}
?>
<?php include("views/layouts/ficha_candidato.php"); ?> 
<?php echo $respuesta; ?>



<div align="left" style="padding: 10px 0px;">
	<table width="100%">
    	<tr>
        	<td><h5 style="margin-top: 8px;"><i class="fas fa-users"></i> Administrar Candidatos</h5></td>
            <td align="right" width="200">
            	<input class="form-control" type="text" placeholder="Búsqueda rápida..." id="buscador" />
            </td>
        </tr>
    </table>
</div>

<div align="right">
	<button type="button" class="btn btn-warning btn-sm btn-block" style="margin-bottom:15px" data-toggle="modal" data-target=".modal_candidato" onclick="Seter_Ficha()">
		<i class="fa fa-plus btn-left"></i> Crear Candidato
	</button>
</div>


<table class="table table-bordered table-sm">
	<thead class="thead-dark">
	<tr>
		<th scope="col">#</th>
		<th scope="col">Nombre</th>
        <th scope="col">Correo</th>
        <th scope="col">Documento</th>
		<th scope="col" style="width: 75px; text-align:center">
        </th>
	</tr>
	</thead>
    
	<tbody id="tabla_lista">
	<?php
		$count = 1;
		$query = mysqli_query($connect,"SELECT * FROM Candidatos WHERE id_empresa = '".$_SESSION['id_empresa']."' ORDER BY nombre DESC ");
		while($data = mysqli_fetch_array($query)){

			echo '
			<tr>
				<th scope="row">'.$count.'</th>
				<td>'.$data["nombre"].' '.$data["apellidos"].'</td>
				<td>'.$data["correo"].'</td>
				<td>'.$data["documento"].'</td>
				<td align="center">
					<button type="button" class="btn btn-success btn-sm" data-toggle="modal" data-target=".modal_candidato" onclick="Ficha_Candidato('.$data["id"].')">
						<i class="fa fa-edit"></i>
					</button>
					<button type="button" class="btn btn-danger btn-sm"  onclick="Eliminar_Candidato('.$data["id"].')">
						<i class="fa fa-times"></i>
					</button>
				</td>
			</tr>
			';
			$count++;
					
		}
	?>
	</tbody>
</table>

<script>

$(document).ready(function(){
	$("#buscador").on("keyup", function() {
		var value = $(this).val().toLowerCase();
		$("#tabla_lista tr").filter(function() {
		  $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
		});
	});	  
});

var api = 'https://wandtalent.com/seleccion/admin/api/';

function Ficha_Candidato(id){
	jQuery.ajax({
		url: api+"ficha_candidato.php",
		type:'post',
		data: {id: id, url:"?pg=candidatos"},
		}).done(function (resp){
			$("#xscript").html(resp);
		})
		.fail(function(resp) {
			console.log(resp);
		})
		.always(function(resp){
		}
	);
}
var activar = false;
function Eliminar_Candidato(id){
	if(activar == false){
		$("#modal_body").html('Estas a punto de eliminar un candidato, esta acción es irreversible ¿Estás seguro?<br><br>');
		$("#modal_body").append('<button type="button" class="btn btn-danger" style="margin-right: 10px;" onclick="activar = true; Eliminar_Candidato('+id+')">Eliminar</button>');
		$("#modal_general").modal('show');
	}
	else{
	
		jQuery.ajax({
			url: api+"eliminar_candidato.php",
			type:'post',
			data: {id: id, url:"?pg=candidatos"},
			}).done(function (resp){
				$("#xscript").html(resp);
			})
			.fail(function(resp) {
				console.log(resp);
			})
			.always(function(resp){
			}
		);
		
	}
}


function Seter_Ficha(){
	$('[name="nombre"]').val( "" );
	$('[name="documento"]').val( "" );
	$('[name="correo"]').val( "" );
	$('[name="contacto"]').val( "" );
	$('[name="pass"]').val( "" );
	$('[name="rol"]').val( "" );
	
	$('[name="id_usuario"]').val( "" );
}
</script>

<script src="js/functions.js"></script>